package eu.cedarsoft.devtools;

import eu.cedarsoft.utils.CmdLine;
import org.jetbrains.annotations.NotNull;

/**
 * Integration interface for the Dependency Injection
 */
public interface DependencyInjectionIntegration {
  /**
   * Returns the current command line context
   *
   * @return the command line context
   */
  @NotNull
  CommandLineContext getCommandLineContext();

  /**
   * Returns the command line
   *
   * @return the command line
   */
  @NotNull
  CmdLine getCmdLine();

  /**
   * Returns the module manager
   *
   * @return the module manager
   */
  @NotNull
  ModuleManager getModuleManager();
}