package eu.cedarsoft.devtools;

import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.PropertyKey;

import java.text.MessageFormat;
import java.util.ResourceBundle;

/**
 * Message Handler
 */
public class MessageHandler {
  @NotNull
  @NonNls
  private static final String RESOURCE_BUNDLE_NAME = "integration";
  private static final ResourceBundle BUNDLE = ResourceBundle.getBundle( RESOURCE_BUNDLE_NAME );

  private MessageHandler() {
  }

  @NotNull
  public static String get( @PropertyKey( resourceBundle = RESOURCE_BUNDLE_NAME ) @NotNull String key ) {
    return BUNDLE.getString( key );
  }

  @SuppressWarnings( {"OverloadedVarargsMethod"} )
  public static String get( @PropertyKey( resourceBundle = RESOURCE_BUNDLE_NAME ) @NotNull String key, Object... arguments ) {
    return MessageFormat.format( BUNDLE.getString( key ), arguments );
  }
}
