package eu.cedarsoft.devtools;

import eu.cedarsoft.utils.configuration.ConfigurationManager;
import org.apache.commons.configuration.Configuration;
import org.jetbrains.annotations.NotNull;

/**
 * Extended Dependency Injection Integration for testing purposes
 */
public interface TestDependencyInjectionIntegration extends DependencyInjectionIntegration {
  /**
   * Returns the directory support
   *
   * @return the directory support
   */
  @NotNull
  DirectorySupport getDirectorySupport();

  /**
   * Returns the maven support
   *
   * @return the maven support
   */
  @NotNull
  MavenSupport getMavenSupport();

  /**
   * Returns the subversion support
   *
   * @return the subversion support
   */
  @NotNull
  SubversionSupport getSubversionSupport();

  /**
   * Returns the subversion configuration
   *
   * @return the subversion configuration
   */
  @NotNull
  Configuration getSubversionConfiguration();

  /**
   * Returns the configuration manager
   *
   * @return the configuration manager
   */
  @NotNull
  ConfigurationManager getConfigurationManager();
}